We have a pull request to add Pypi dependency compatibility badges to
our readme: https://github.com/apache/beam/pull/8791 This looks
generally useful, though highlights how out of date we still are in
some areas. Any thoughts on this? Given the high visibility, I wanted
to get some consensus (even if just lazy) before merging.

For reference, the badges (and their target links) are

[![Compat Check PyPI]
https://python-compatibility-tools.appspot.com/one_badge_image?package=apache-beam%5Bgcp%5D
https://python-compatibility-tools.appspot.com/one_badge_target?package=apache-beam%5Bgcp%5D

[![Compat Check Github]
https://python-compatibility-tools.appspot.com/one_badge_image?package=git%2Bgit%3A//github.com/apache/beam.git%23subdirectory%3Dsdks/python
https://python-compatibility-tools.appspot.com/one_badge_target?package=git%2Bgit%3A//github.com/apache/beam.git%23subdirectory%3Dsdks/python